<a id="mypy-boto3-lexv2-models"></a>

# mypy-boto3-lexv2-models

[![PyPI - mypy-boto3-lexv2-models](https://img.shields.io/pypi/v/mypy-boto3-lexv2-models.svg?color=blue)](https://pypi.org/project/mypy-boto3-lexv2-models)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-lexv2-models.svg?color=blue)](https://pypi.org/project/mypy-boto3-lexv2-models)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-lexv2-models?color=blue)](https://pypistats.org/packages/mypy-boto3-lexv2-models)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.LexModelsV2 1.17.96](https://boto3.amazonaws.com/v1/documentation/api/1.17.96/reference/services/lexv2-models.html#LexModelsV2)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-buider 4.18.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-lexv2-models docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_lexv2_models/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-lexv2-models](#mypy-boto3-lexv2-models)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

Install `boto3-stubs` for `LexModelsV2` service.

```bash
python -m pip install boto3-stubs[lexv2-models]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[lexv2-models]` in your environment:
  `python -m pip install 'boto3-stubs[lexv2-models]'`

Both type checking and auto-complete should work for `LexModelsV2` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `boto-stubs[lexv2-models]` in your environment:
  `python -m pip install 'boto3-stubs[lexv2-models]'`

Both type checking and auto-complete should work for `LexModelsV2` service. No
explicit type annotations required, write your `boto3` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`boto3-stubs` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE support `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[lexv2-models]` in your environment:
  `python -m pip install 'boto3-stubs[lexv2-models]'`
- Run `mypy` as usual

Type checking should work for `LexModelsV2` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[lexv2-models]` in your environment:
  `python -m pip install 'boto3-stubs[lexv2-models]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `LexModelsV2` service. No explicit type
annotations required, write your `boto3` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`LexModelsV2Client` provides annotations for `boto3.client("lexv2-models")`.

```python
import boto3

from mypy_boto3_lexv2_models import LexModelsV2Client

client: LexModelsV2Client = boto3.client("lexv2-models")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: LexModelsV2Client = session.client("lexv2-models")
```

<a id="literals"></a>

### Literals

`mypy_boto3_lexv2_models.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

```python
from mypy_boto3_lexv2_models.literals import (
    BotAliasStatusType,
    BotFilterNameType,
    BotFilterOperatorType,
    BotLocaleFilterNameType,
    BotLocaleFilterOperatorType,
    BotLocaleSortAttributeType,
    BotLocaleStatusType,
    BotSortAttributeType,
    BotStatusType,
    BotVersionSortAttributeType,
    BuiltInIntentSortAttributeType,
    BuiltInSlotTypeSortAttributeType,
    EffectType,
    ExportFilterNameType,
    ExportFilterOperatorType,
    ExportSortAttributeType,
    ExportStatusType,
    ImportExportFileFormatType,
    ImportFilterNameType,
    ImportFilterOperatorType,
    ImportSortAttributeType,
    ImportStatusType,
    IntentFilterNameType,
    IntentFilterOperatorType,
    IntentSortAttributeType,
    MergeStrategyType,
    ObfuscationSettingTypeType,
    SlotConstraintType,
    SlotFilterNameType,
    SlotFilterOperatorType,
    SlotSortAttributeType,
    SlotTypeFilterNameType,
    SlotTypeFilterOperatorType,
    SlotTypeSortAttributeType,
    SlotValueResolutionStrategyType,
    SortOrderType,
)

def check_value(value: BotAliasStatusType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`mypy_boto3_lexv2_models.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_lexv2_models.type_defs import (
    AudioLogDestinationTypeDef,
    AudioLogSettingTypeDef,
    BotAliasHistoryEventTypeDef,
    BotAliasLocaleSettingsTypeDef,
    BotAliasSummaryTypeDef,
    BotExportSpecificationTypeDef,
    BotFilterTypeDef,
    BotImportSpecificationTypeDef,
    BotLocaleExportSpecificationTypeDef,
    BotLocaleFilterTypeDef,
    BotLocaleHistoryEventTypeDef,
    BotLocaleImportSpecificationTypeDef,
    BotLocaleSortByTypeDef,
    BotLocaleSummaryTypeDef,
    BotSortByTypeDef,
    BotSummaryTypeDef,
    BotVersionLocaleDetailsTypeDef,
    BotVersionSortByTypeDef,
    BotVersionSummaryTypeDef,
    BuildBotLocaleResponseTypeDef,
    BuiltInIntentSortByTypeDef,
    BuiltInIntentSummaryTypeDef,
    BuiltInSlotTypeSortByTypeDef,
    BuiltInSlotTypeSummaryTypeDef,
    ButtonTypeDef,
    CloudWatchLogGroupLogDestinationTypeDef,
    CodeHookSpecificationTypeDef,
    ConversationLogSettingsTypeDef,
    CreateBotAliasResponseTypeDef,
    CreateBotLocaleResponseTypeDef,
    CreateBotResponseTypeDef,
    CreateBotVersionResponseTypeDef,
    CreateExportResponseTypeDef,
    CreateIntentResponseTypeDef,
    CreateResourcePolicyResponseTypeDef,
    CreateResourcePolicyStatementResponseTypeDef,
    CreateSlotResponseTypeDef,
    CreateSlotTypeResponseTypeDef,
    CreateUploadUrlResponseTypeDef,
    CustomPayloadTypeDef,
    DataPrivacyTypeDef,
    DeleteBotAliasResponseTypeDef,
    DeleteBotLocaleResponseTypeDef,
    DeleteBotResponseTypeDef,
    DeleteBotVersionResponseTypeDef,
    DeleteExportResponseTypeDef,
    DeleteImportResponseTypeDef,
    DeleteResourcePolicyResponseTypeDef,
    DeleteResourcePolicyStatementResponseTypeDef,
    DescribeBotAliasResponseTypeDef,
    DescribeBotLocaleResponseTypeDef,
    DescribeBotResponseTypeDef,
    DescribeBotVersionResponseTypeDef,
    DescribeExportResponseTypeDef,
    DescribeImportResponseTypeDef,
    DescribeIntentResponseTypeDef,
    DescribeResourcePolicyResponseTypeDef,
    DescribeSlotResponseTypeDef,
    DescribeSlotTypeResponseTypeDef,
    DialogCodeHookSettingsTypeDef,
    ExportFilterTypeDef,
    ExportResourceSpecificationTypeDef,
    ExportSortByTypeDef,
    ExportSummaryTypeDef,
    FulfillmentCodeHookSettingsTypeDef,
    ImageResponseCardTypeDef,
    ImportFilterTypeDef,
    ImportResourceSpecificationTypeDef,
    ImportSortByTypeDef,
    ImportSummaryTypeDef,
    InputContextTypeDef,
    IntentClosingSettingTypeDef,
    IntentConfirmationSettingTypeDef,
    IntentFilterTypeDef,
    IntentSortByTypeDef,
    IntentSummaryTypeDef,
    KendraConfigurationTypeDef,
    LambdaCodeHookTypeDef,
    ListBotAliasesResponseTypeDef,
    ListBotLocalesResponseTypeDef,
    ListBotVersionsResponseTypeDef,
    ListBotsResponseTypeDef,
    ListBuiltInIntentsResponseTypeDef,
    ListBuiltInSlotTypesResponseTypeDef,
    ListExportsResponseTypeDef,
    ListImportsResponseTypeDef,
    ListIntentsResponseTypeDef,
    ListSlotTypesResponseTypeDef,
    ListSlotsResponseTypeDef,
    ListTagsForResourceResponseTypeDef,
    MessageGroupTypeDef,
    MessageTypeDef,
    MultipleValuesSettingTypeDef,
    ObfuscationSettingTypeDef,
    OutputContextTypeDef,
    PlainTextMessageTypeDef,
    PrincipalTypeDef,
    PromptSpecificationTypeDef,
    ResponseSpecificationTypeDef,
    S3BucketLogDestinationTypeDef,
    SSMLMessageTypeDef,
    SampleUtteranceTypeDef,
    SampleValueTypeDef,
    SentimentAnalysisSettingsTypeDef,
    SlotDefaultValueSpecificationTypeDef,
    SlotDefaultValueTypeDef,
    SlotFilterTypeDef,
    SlotPriorityTypeDef,
    SlotSortByTypeDef,
    SlotSummaryTypeDef,
    SlotTypeFilterTypeDef,
    SlotTypeSortByTypeDef,
    SlotTypeSummaryTypeDef,
    SlotTypeValueTypeDef,
    SlotValueElicitationSettingTypeDef,
    SlotValueRegexFilterTypeDef,
    SlotValueSelectionSettingTypeDef,
    StartImportResponseTypeDef,
    StillWaitingResponseSpecificationTypeDef,
    TextLogDestinationTypeDef,
    TextLogSettingTypeDef,
    UpdateBotAliasResponseTypeDef,
    UpdateBotLocaleResponseTypeDef,
    UpdateBotResponseTypeDef,
    UpdateExportResponseTypeDef,
    UpdateIntentResponseTypeDef,
    UpdateResourcePolicyResponseTypeDef,
    UpdateSlotResponseTypeDef,
    UpdateSlotTypeResponseTypeDef,
    VoiceSettingsTypeDef,
    WaitAndContinueSpecificationTypeDef,
)

def get_structure() -> AudioLogDestinationTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`mypy-boto3-lexv2-models` version is the same as related `boto3` version and
follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[mypy-boto3-lexv2-models docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_lexv2_models/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
